curl --request POST \
--url https://api.example.com/v1/preview/sft-training-jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"training_data_url": "<string>",
"config": {
"batch_size": 123,
"learning_rate": 123
},
"experimental_config": {}
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Create a new SFT (Supervised Fine-Tuning) training job.
curl --request POST \
--url https://api.example.com/v1/preview/sft-training-jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"training_data_url": "<string>",
"config": {
"batch_size": 123,
"learning_rate": 123
},
"experimental_config": {}
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Schema for creating a new SFT (Supervised Fine-Tuning) TrainingJob.
The client should upload the training data (trajectories.jsonl and metadata.json) to W&B Artifacts and provide the artifact URL.
Successful Response
Schema for TrainingJob response.